package org.databinding.pojo;

import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;

public class FormFieldTest {

	private String text;
	private String password;
	private boolean checkbox;
	private String radio;
	private String select;
	private String textarea;

	private PropertyChangeSupport propertyChangeSupport = new PropertyChangeSupport(
			this);

	public void addPropertyChangeListener(String propertyName,
			PropertyChangeListener listener) {
		propertyChangeSupport.addPropertyChangeListener(propertyName, listener);
	}

	public void removePropertyChangeListener(PropertyChangeListener listener) {
		propertyChangeSupport.removePropertyChangeListener(listener);
	}

	public String getText() {
		return text;
	}

	public void setText(String text) {
		propertyChangeSupport.firePropertyChange("text", this.text,
				this.text = text);
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		propertyChangeSupport.firePropertyChange("password", this.password,
				this.password = password);
	}

	public boolean isCheckbox() {
		return checkbox;
	}

	public void setCheckbox(boolean checkbox) {
		propertyChangeSupport.firePropertyChange("checkbox", this.checkbox,
				this.checkbox = checkbox);
	}

	public String getRadio() {
		return radio;
	}

	public void setRadio(String radio) {
		propertyChangeSupport.firePropertyChange("radio", this.radio,
				this.radio = radio);
	}

	public String getSelect() {
		return select;
	}

	public void setSelect(String select) {
		propertyChangeSupport.firePropertyChange("select", this.select,
				this.select = select);
	}

	public String getTextarea() {
		return textarea;
	}

	public void setTextarea(String textarea) {
		propertyChangeSupport.firePropertyChange("textarea", this.textarea,
				this.textarea = textarea);
	}

}
