package org.databinding.pojo;

import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;

public class IcweRegistration {
	private String firstName;
	private String lastName;
	private String title;
	
	private String city;
	private Integer postalCode;
	private String country;
	private String email;
	
	private String registrationType;
	private Boolean conferenceDinner;

	private PropertyChangeSupport propertyChangeSupport = new PropertyChangeSupport(
			this);

	public IcweRegistration() {
	}

	public void addPropertyChangeListener(String propertyName,
			PropertyChangeListener listener) {
		propertyChangeSupport.addPropertyChangeListener(propertyName, listener);
	}

	public void removePropertyChangeListener(PropertyChangeListener listener) {
		propertyChangeSupport.removePropertyChangeListener(listener);
	}

	public String getFirstName() {
		return firstName;
	}

	public void setFirstName(String firstName) {
		propertyChangeSupport.firePropertyChange("firstName", this.firstName,
				this.firstName = firstName);
	}

	public String getLastName() {
		return lastName;
	}

	public void setLastName(String lastName) {
		propertyChangeSupport.firePropertyChange("lastName", this.lastName,
				this.lastName = lastName);
	}

	public Boolean isConferenceDinner() {
		return conferenceDinner;
	}

	public void setConferenceDinner(Boolean conferenceDinner) {
		propertyChangeSupport.firePropertyChange("conferenceDinner", this.conferenceDinner,
				this.conferenceDinner = conferenceDinner);
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		propertyChangeSupport.firePropertyChange("title", this.title,
				this.title = title);
	}
	
	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		propertyChangeSupport.firePropertyChange("city", this.city,
				this.city = city);
	}

	public String getCountry() {
		return country;
	}

	public void setCountry(String country) {
		propertyChangeSupport.firePropertyChange("country", this.country,
				this.country = country);
	}
	
	public String getRegistrationType() {
		return registrationType;
	}

	public void setRegistrationType(String registrationType) {
		propertyChangeSupport.firePropertyChange("registrationType", this.registrationType,
				this.registrationType = registrationType);
	}
	
	public Integer getPostalCode() {
		return postalCode;
	}

	public void setPostalCode(Integer postalCode) {
		propertyChangeSupport.firePropertyChange("postalCode", this.postalCode,
				this.postalCode = postalCode);
	}
	
	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		propertyChangeSupport.firePropertyChange("email", this.email,
				this.email = email);
	}
	
}
